# Class DisplayPermissionTypes

Namespace
  adas_core.Domain.Models.AppSettings

Assembly
  adas-core.Domain.dll

    public class DisplayPermissionTypes

Inheritance
  object
  DisplayPermissionTypes

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Constructors

### DisplayPermissionTypes(UserActions, UserActions, UserActions, UserActions, UserActions, UserActions, UserActions, bool)

    public DisplayPermissionTypes(UserActions admissions, UserActions discharges, UserActions obs, UserActions demographicData, UserActions boxBlocking, UserActions notices, UserActions cell, bool useDemoMode)

#### Parameters

`admissions` UserActions
`discharges` UserActions
`obs` UserActions
`demographicData` UserActions
`boxBlocking` UserActions
`notices` UserActions
`cell` UserActions
`useDemoMode` bool

## Properties

### Admissions

    public UserActions Admissions { get; set; }

#### Property Value

UserActions

### BoxBlocking

    public UserActions BoxBlocking { get; set; }

#### Property Value

UserActions

### Cell

    public UserActions Cell { get; set; }

#### Property Value

UserActions

### DemographicData

    public UserActions DemographicData { get; set; }

#### Property Value

UserActions

### Discharges

    public UserActions Discharges { get; set; }

#### Property Value

UserActions

### Notices

    public UserActions Notices { get; set; }

#### Property Value

UserActions

### Obs

    public UserActions Obs { get; set; }

#### Property Value

UserActions

### UseDemoMode

    public bool UseDemoMode { get; set; }

#### Property Value

bool